
GammaLib - Action #497

Feature # 490 (Closed): Avoid casts for derived classes

Rework GPointing interface

09/19/2012 08:57 PM - Knödlseder Jürgen

Status: Closed Start date: 09/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-07-00   

Description

It should be verified if the GPointing base class is really needed. Is there anything common to a pointing definition that needs really

be exposed globally?

For many cases, a pointing is simply a constant sky direction, and it would be sufficient for a GObservation implementation to keep

this sky direction information locally. For other cases, such as Fermi/LAT, the pointing changes rapidly with time, hence the pointing

is a time dependent sky direction.

Again, the main question is: do we need to expose the pointing direction on a general level, or is it sufficient for the derived class

GObservation to handle the pointing internally.

History

#1 - 09/19/2012 09:05 PM - Knödlseder Jürgen

- Description updated

#2 - 09/20/2012 05:21 PM - Knödlseder Jürgen

- Start date set to 09/20/2012

due to changes in a related task

#3 - 09/20/2012 06:48 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#4 - 12/18/2012 09:44 PM - Knödlseder Jürgen

All casts in the instrument specific classes have been removed. No rework has been done on the GPointing interface. Not clear whether we really

need a rework, as long as we don't have the need for a cast.

#5 - 12/18/2012 09:45 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0
